import sys
from typing import Optional


def print_feature_deprecation(
        target: Optional[str] = None,
        additional_message: Optional[str] = None):
    if target is None:
        target = 'This feature'
    else:
        target = '`{}`'.format(target)

    message = '{} has been officially deprecated. ' \
        '{} continues to be available for a while, ' \
        'but it is already scheduled for shutdown.'.format(target, target)
    if additional_message is not None:
        message += ' ' + additional_message

    print(message, file=sys.stderr)     # noqa: T001
